/* General styling */
* {
	outline: none!important;
}
html {
	height: 100%;
}
body {
	height: 100%;
	overflow: hidden;
}
main {
    height: 100%;
}

/* Custom scrollbar */
::-webkit-scrollbar {
  width: 10px;
}
::-webkit-scrollbar-track {
  background: #f1f1f1;
}
::-webkit-scrollbar-thumb {
  background: #888;
}
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

/* Main page */
.main-index {
	background-color: #1b1b1b;
}
.main-index-flex-holder {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100%;
}
.main-index-wrong-credentials {
    animation: shake 0.5s;
    animation-iteration-count: 1;
}
.main-index-flex-holder input {
	border: 1px solid #ececec;
	padding: 10px;
	margin-right: -5px;
	width: 300px;
	border: none;
	-webkit-text-security: disc;
    position: relative;
    padding-left: 15px;
}
.main-index-flex-holder button {
	background-color: #4F4FD3;
	border: none;
	color: white;
	padding: 15px;
	padding-left: 25px;
	padding-right: 25px;
	border-radius: 3px;
    position: relative;
    z-index: 99999;
}
.main-index-flex-child {
	width: 376px;
	max-width: 100%;
	position: relative;
}
.main-index-login-form {
	border: 5px solid white;
	border-radius: 3px;
	background-color: white;
}

/* Create page */
.main-create textarea {
	width: 100%;
    border: none;
    padding: 0px;
    margin-bottom: 25px;
}
.main-create-generate {
	background-color: #4F4FD3;
    border: none;
    color: #4F4FD3;
    padding: 8px;
    padding-left: 15px;
    padding-right: 15px;
    border-radius: 3px;
    background: transparent;
    border: 1px solid #4F4FD3;
    transition: 1s;
    margin-bottom: 25px;
}
.main-create-generate:hover {
	background-color: #4F4FD3;
	border: none;
	color: white;
    padding: 8px;
    padding-left: 15px;
    padding-right: 15px;
	border-radius: 3px;
	border: 1px solid #4F4FD3;
}
#main-create-link {
	position: absolute;
	left: -1000px;
}

/* Open message page */
.main-open {
	background: white;
    width: 100%;
    height: 100%;
    overflow: auto;
}
.main-open-close-btn {
	background-color: transparent;
    border: none;
    color: #c54f4f;
    border-radius: 3px;
    margin-top: 25px;
    border: 1px solid #c54f4f;
    padding: 8px;
    padding-left: 15px;
    padding-right: 15px;
    transition: 1s all;
    margin-bottom: 25px;
}
.main-open-close-btn:hover {
	color: white;
	background-color: #c54f4f;
}

.main-open-message-holder {
	white-space: pre-line;
    margin-top: -25px;
}

/* Result message */
.result-message {
    background: #4f4fd3;
    color: white;
    margin: 0px auto;
    border-radius: 3px;
    display: none;
    position: absolute;
    width: 100%;
    margin-top: 15px;
    overflow: hidden;
}
.message-text {
    display: inline-block;
    padding-left: 80px;
    padding-top: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
}
.message-icon {
	width: 65px;
    text-align: left;
    display: inline-block;
    position: absolute;
    text-align: center;
    height: 100%;
    background: #4fd37e;
    display: flex;
    display: flex;
    align-items: center;
    justify-content: center;
}
.message-send-it {
    color: #c4c4ff;
    font-weight: 600;
    display: block;
    margin-top: 10px;
    margin-bottom: 4px;
    background: #3c3ca2;
    margin: -15px;
    margin-top: 10px;
    padding: 10px;
    padding-bottom: 13px;
    padding-left: 15px;
    font-weight: 400;
    font-size: 13px;
    transition: 1s;
}
.message-send-it:hover {
    color: white;
    font-weight: 400;
    text-decoration: none;
}

/* Generate page */
.qr-allowed {
	background-color: #bb3636;
    position: fixed;
    width: 100%;
    text-align: center;
    color: white!important;
    padding-top: 10px;
    padding-bottom: 10px;
    bottom: 0;
    text-decoration: none!important;
}
.main-generate {
	padding-top: 80px;
	text-align: center;
	font-size: 35px;
}
.main-generate small {
	font-weight: 400;
    font-size: 13px;
    margin-top: -18px!important;
    display: block;
    color: #777777;
}

/* Shaking animation */
@keyframes shake {
  0% { transform: translate(1px, 1px) rotate(0deg); }
  10% { transform: translate(-1px, -2px) rotate(-1deg); }
  20% { transform: translate(-3px, 0px) rotate(1deg); }
  30% { transform: translate(3px, 2px) rotate(0deg); }
  40% { transform: translate(1px, -1px) rotate(1deg); }
  50% { transform: translate(-1px, 2px) rotate(-1deg); }
  60% { transform: translate(-3px, 1px) rotate(0deg); }
  70% { transform: translate(3px, 1px) rotate(-1deg); }
  80% { transform: translate(-1px, -1px) rotate(1deg); }
  90% { transform: translate(1px, 2px) rotate(0deg); }
  100% { transform: translate(1px, -2px) rotate(-1deg); }
}

/* Responsivity fixes */
@media only screen and (max-width: 420px) {
	.main-index-flex-child {
	    max-width: 85%;
	}
	.main-index-flex-child input {
		width: 80%;
	}
	.main-index-flex-child button {
		width: 20%;
		padding-left: 0;
    	padding-right: 0;
	}
}